Bug 1029188 - [NV96] DVI display doesn't work with nouveau and GeForce 9500GT
[NV96] DVI display doesn't work with nouveau and GeForce 9500GT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 16:13 EST by Ondrej X Dolezal
Modified: 2015-02-17 14:11 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 684688
Environment:
Last Closed: 2015-02-17 14:11:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej X Dolezal 2013-11-11 16:13:41 EST
+++ This bug was initially created as a clone of Bug #684688 +++

My monitor is usually connected to my computer with a DVI cable.
When using nouveau and the DVI cable, the monitor goes into sleep mode (and doesn't wake up, like when the computer is off) as soon as grub finishes loading the kernel (and the boot process starts). I can't even get a tty. I got this computer around the time Fedora 13 alpha was released, and it didn't work then, not in Fedora 14.

Yesterday, while testing a Fedora 15 Alpha LiveUSB, i switched the DVI cable to a VGA one, and to my surprise, it worked perfectly.

I don't want to use the VGA cable on daily basis, because the DVI one is much better.

--- Additional comment from Matěj Cepl on 2011-03-17 20:31:36 EDT ---

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer (with VGA cable), and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

Also, would it be possible to start with DVI cable at least in the text mode (add number 3 to the kernel command line in grub) and then run startx as normal user? What happens? Could we get the same logs from this attempt as well?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

--- Additional comment from Elad Alfassa on 2011-03-18 04:57:47 EDT ---



--- Additional comment from Elad Alfassa on 2011-03-18 04:58:18 EDT ---



--- Additional comment from Elad Alfassa on 2011-03-18 05:01:12 EDT ---

Using DVI, I can't get anything on the monitor, even in runlevel 3 or even runlevel 1.

This is a (Fedora 15 Alpha) LiveUSB so I don't have any custom xorg.conf.
These logs that I've attached now are form boot with both VGA and DVI connected to the same monitor (and choosing VGA in the monitor configuration). If that's a problem, I'll get new logs with only VGA connected.

--- Additional comment from Matěj Cepl on 2011-03-18 09:56:31 EDT ---

(In reply to comment #4)
> These logs that I've attached now are form boot with both VGA and DVI connected
> to the same monitor (and choosing VGA in the monitor configuration). If that's
> a problem, I'll get new logs with only VGA connected.

Awesome, thank you!

--- Additional comment from Ben Skeggs on 2011-03-20 19:19:45 EDT ---

Both /var/log/messages and dmesg are missing some important info that nouveau generates during startup.  Could I get a dmesg log from a normal boot (so, without debugging flags) too please?

--- Additional comment from Elad Alfassa on 2011-03-21 04:53:06 EDT ---



--- Additional comment from Elad Alfassa on 2011-03-21 04:53:47 EDT ---

oops wrong file

--- Additional comment from Elad Alfassa on 2011-03-21 04:54:15 EDT ---



--- Additional comment from Elad Alfassa on 2011-03-21 04:55:09 EDT ---



--- Additional comment from Elad Alfassa on 2011-04-08 02:33:56 EDT ---

Is there anything else I can do to help debug this issue?

--- Additional comment from Mark Thompson on 2011-12-19 09:14:50 EST ---

I see the same "blank screen" issue with an Nvidia 8400GS card when the monitor is attached to the DVI port only.  Reproduced using Fedora 14 i686 LiveCD, Fedora 16 i686 LiveCD, and after a Fedora 14->16 upgrade.  Works OK when attached to the video card's VGA port.  I can attach logs as well if they would help.

--- Additional comment from Ondrej X Dolezal on 2012-06-28 03:25:37 EDT ---

I think I am hitting the same bug however in different setup
- Fedora 17 clean install, nvidia geforce 9500GT (NV96) with 2 HDMI ports
both connected to a monitor. With nouveau, the secondary display never wakes
up (primary is fine); with proprietary drivers everything works as expected.
I would be glad to help with any debugging.

--- Additional comment from Fedora End Of Life on 2012-08-07 11:33:23 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Ondrej X Dolezal 2013-11-11 16:18:37 EST
I am cloning this bug as I am hitting exactly the same behaviour on Fedora 19.
Clean install, all updates, Nvidia geforce 9500GT (NV96) with 2 DVI ports
both connected to a monitor. With nouveau, the secondary display never wakes
up (primary is fine); it seems Xorg extends desktop over both monitors and does not report any errors, the second monitor does not wake up. HW and connection is fine as tested by booting into Win7.
Comment 2 Fedora End Of Life 2015-01-09 15:33:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 14:11:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.